<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>
<script>
    const vBASE_URL = "https://jsonplaceholder.typicode.com/users/";
    $(document).ready(function () {
        onPageLoading();

        // gán sự kiện cho nút chi tiết //
        
        $("#tbl-user").on("click", ".btn-detail", function(){
            onBtnChiTietClick(this)
        })
    })

    // hàm load page
    function onPageLoading() {
        $.ajax({
            url: vBASE_URL,
            type: "GET",
            success: function (paramResponse) {
                console.log(paramResponse)
                loadDataToTable(paramResponse)
            },
            error: function (paramError) {
                console.log(paramError.status)
            }
        })
    }
    // hàm nút chi tiết
    function onBtnChiTietClick(paramButton){
        console.log("%c Nút chi tiết được ấn", "color: green")
        var vId = $(paramButton).data("id")
        console.log("ID được chọn là: " + vId)
        window.location.href = "userDetail.html " + "?id=" + vId
        

    }
    // hàm show data lên bảng
    function loadDataToTable(paramResponse) {
        for (var bI = 0; bI < paramResponse.length; bI++) {
            var vNewRow = $("<tr>").appendTo("#tbl-user tbody") // thêm hàng
            $("<td>", { html: paramResponse[bI].id }).appendTo(vNewRow)
            $("<td>", { html: paramResponse[bI].name }).appendTo(vNewRow)
            $("<td>", { html: paramResponse[bI].username }).appendTo(vNewRow)
            $("<td>", { html: paramResponse[bI].email }).appendTo(vNewRow)
            $("<td>", { html: paramResponse[bI].address.suite + ", " + paramResponse[bI].address.street + ", " + paramResponse[bI].address.city }).appendTo(vNewRow)
            $("<td>", { html: paramResponse[bI].address.zipcode }).appendTo(vNewRow)
            $("<td>", { html: paramResponse[bI].phone }).appendTo(vNewRow)
            $("<td>", { html: paramResponse[bI].company.name }).appendTo(vNewRow)

            var vColAction = $("<td>").appendTo(vNewRow)
                // thêm nút chi tiết cho côt action
            var vButton = $("<button>",{
                html: "Chi tiết",
                class: "btn btn-success btn-detail"
            }).data("id",paramResponse[bI].id )
            . appendTo(vColAction)

        }
    }
</script>

<body>
    <div class="container-fluild">
        <div class="row mb-4">
            <div class="col-sm-12">
                <h2 class="text-center p-2">Danh sách người dùng</h2>
            </div>
        </div>
    </div>
    <div class="container-fluild">
        <div class="row">
            <div class=" col-sm-12 text-nowrap">
                <table class="table table-striped table-hover table-bordered" id="tbl-user">
                    <thead class="text-white thead-dark">
                        <tr class="text-center">
                            <th scope="col">STT</th>
                            <th scope="col">Name</th>
                            <th scope="col">Username</th>
                            <th scope="col">Email</th>
                            <th scope="col">Address</th>
                            <th scope="col">Zip code</th>
                            <th scope="col">Phone</th>
                            <th scope="col">Company</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>

                    </tbody>
                </table>
            </div>
        </div>
    </div>
</body>

</html>